> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a list of room participants.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml get /room_participants
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_participants:
    get:
      tags:
        - Room Participants
      summary: View a list of room participants.
      operationId: ListRoomParticipants
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          required: false
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[date_joined_at][eq], filter[date_joined_at][gte],
            filter[date_joined_at][lte], filter[date_updated_at][eq],
            filter[date_updated_at][gte], filter[date_updated_at][lte],
            filter[date_left_at][eq], filter[date_left_at][gte],
            filter[date_left_at][lte], filter[context], filter[session_id]
          schema:
            type: object
            properties:
              date_joined_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants that joined
                      on that date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants that joined
                      on or after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants that joined
                      on or before that date.
              date_updated_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants updated on
                      that date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants updated on
                      or after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants updated on
                      or before that date.
              date_left_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants that left on
                      that date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants that left on
                      or after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room participants that left on
                      or before that date.
              context:
                type: string
                example: Alice
                description: Filter room participants based on the context.
              session_id:
                type: string
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: Session_id for filtering room participants.
        - $ref: '#/components/parameters/video_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/ListRoomParticipantsResponse'
        4XX:
          $ref: '#/components/responses/video_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const roomParticipant of client.roomParticipants.list())
            {
              console.log(roomParticipant.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.room_participants.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.RoomParticipants.List(context.TODO(), telnyx.RoomParticipantListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.roomparticipants.RoomParticipantListPage;

            import
            com.telnyx.sdk.models.roomparticipants.RoomParticipantListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RoomParticipantListPage page = client.roomParticipants().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.room_participants.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx room-participants list \
              --api-key 'My API Key'
components:
  parameters:
    video_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page.
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load.
  responses:
    ListRoomParticipantsResponse:
      description: List room participants response.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/RoomParticipant'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    video_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: Error
  schemas:
    RoomParticipant:
      type: object
      properties:
        id:
          description: A unique identifier for the room participant.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        session_id:
          description: Identify the room session that participant is part of.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        context:
          description: Context provided to the given participant through the client SDK
          type: string
          example: Alice
        joined_at:
          description: ISO 8601 timestamp when the participant joined the session.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        updated_at:
          description: ISO 8601 timestamp when the participant was updated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        left_at:
          description: ISO 8601 timestamp when the participant left the session.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        record_type:
          type: string
          example: room_participant
          readOnly: true
      example:
        id: 7b61621f-62e0-4aad-ab11-9fd19e272e73
        session_id: 7b61621f-5fe4-4aad-ab11-9fd19e272e73
        context: Alice
        joined_at: '2021-04-16T09:46:20.954863Z'
        updated_at: '2021-04-16T10:24:55.962200Z'
        left_at: '2021-04-16T10:24:55.962200Z'
        record_type: room_participant
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````